/**
Theme Name: ROCG 2026
Author: AcctWeb / Dominic Greene
Author URI: https://www.acctweb.com.au/
Description: Child theme for the ROCG website. Uses Astra as a parent theme. Made by Dominic Greene of AcctWeb in 2026.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: rocg-2026
Template: astra
*/

/*
Header and Navigation -------------------------------------------------
*/

.ast-above-header-wrap {
	font-weight: 500;
}

.ast-above-header-wrap svg {
	height: 18px;
	width: 18px;
	fill: #505050;
	margin-bottom: -4px;
	margin-right: 0.125rem;
}

.ast-theme-transparent-header #ast-desktop-header > .ast-main-header-wrap > .main-header-bar {
	font-weight: 500;
}

.main-header-bar.ast-sticky-active {
  box-shadow: 0 2px 10px 0 rgba(0, 0, 0, 0.12);
}

.nav-services li.current-menu-item a {
	text-decoration: none;
	pointer-events: none;
}

.nav-services ul {
	display: flex;
	flex-wrap: wrap;
	list-style: none;
	margin: 0;
	padding: 0;
	width: 100%;
}

.nav-services li {
	flex: 1;
	white-space: nowrap;
	margin: 0;
	text-align: center;
	font-size: 15px;
}

.nav-services a {
	display: block;
	color: #fff;
	text-decoration: none !important;
	padding: 14px 10px;
	border-bottom: 3px solid transparent;
	transition: background-color .2s linear, border-color .2s linear;
}

.nav-services a:hover {
	background-color: #1b67ad;
	border-bottom: 3px solid #1b67ad;
}

.nav-services .current_page_item > a {
	background-color: #3272c7;
	font-weight: 500;
	pointer-events: none;
	cursor: default;
	border-bottom: 3px solid #f68424;
}

/*
Homepage -------------------------------------------------
*/

.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-bottom-left.area-hero {
	padding-left: 0;
	padding-right: 0;
}

.wp-block-cover.has-custom-content-position.has-custom-content-position.is-position-bottom-left.area-hero .wp-block-cover__inner-container {
	width: 100%;
	max-width: 100%;
}

.wp-block-cover.area-hero_sub-menu {
	padding-top: 2rem !important;
}

.area-services a {
	background: #0156a4;
	color: #FFF;
	text-align: center;
	text-decoration: none !important;
	font-weight: 500;
	display: block;
	padding: 1rem 1rem 1.25rem 1rem;
	border: 3px solid #0156a4;
}

.area-services a svg {
	height: 75px;
	width: 75px;
	display: block;
	margin: 0 auto;
	margin-bottom: 0px;
	margin-bottom: 0.5rem;
	fill: #FFF;
}

.area-services a:hover {
	border: 3px solid #0156a4;
	background: #FFF;
	color: #0156a4; 
}

.area-services a:hover svg {
	fill: #0156a4; 
}

.area-hero span.wp-block-cover__background {
	background: #ffeadb !important;
}

.area-hero img, .area-hero video {
	-webkit-mask-image: url(../ac/img/shape-02.svg);
  mask-image: url(../ac/img/shape-02.svg);
  -webkit-mask-size: 100%;
  mask-size: 100%;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  height: 100%;
}

.area-hero video {
	object-fit: cover;
  min-height: 872px;
}

.home .area-hero video {
	object-position: -390px;
}

.area-hero .wp-block-column figure {
	background-image: url(../ac/img/shape-04.svg);
	background-repeat: no-repeat;
	background-position-x: 99%;
  background-position-y: 95%;
  background-size: 260px;
}

.area-hero {
	background-image: url(../ac/img/shapes-01.svg);
  background-repeat: no-repeat;
  background-position-x: 120%;
  background-position-y: -1%;
  background-size: 800px;
}

/*
Content -------------------------------------------------
*/

.ast-single-post .entry-content a, .ast-comment-content a:not(.ast-comment-edit-reply-wrap a) {
  text-underline-offset: 0.5rem;
}

.ast-single-post .entry-content a:hover, .ast-comment-content a:hover:not(.ast-comment-edit-reply-wrap a) {
  text-decoration-thickness: 2px;
}

.mask03 img {
	-webkit-mask-image: url(../ac/img/shape-03.svg);
  mask-image: url(../ac/img/shape-03.svg);
  -webkit-mask-size: 100%;
  mask-size: 100%;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  height: 100%;
}

.area-enquire p {
	margin-top: 2rem;
	margin-bottom: 2.5rem;
}

.area-enquire video {
	-webkit-mask-image: url(../ac/img/shape-06.svg);
  mask-image: url(../ac/img/shape-06.svg);
  -webkit-mask-size: 100%;
  mask-size: 100%;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  height: 100%;
}

.area-hero label {
	color: #222;
}

.area-hero textarea {
	height: 80px;
}

.wp-block-cover.angle-bottom-left {
  min-height: 100px;
  aspect-ratio: unset;
  position: relative;
  margin-bottom: -121px;
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 120px), 0 100%);
  z-index: 2;
}

.wp-block-cover.angle-top {
	padding-top: 15rem !important;
}

.area-service-box .wp-block-column {
	background: #FFF;
	border-radius: 16px;
}

.area-service-box img {
	border-radius: 16px 16px 0 0;
	width: 100%;
}

.area-service-box__content {
	padding: 2rem;
	color: #333 !important;
}

.area-service-box__content h3 {
	color: #333 !important;
	font-size: 1.25rem;
}

.area-service-box__content span {
	color: #0156a4;
	text-decoration: underline;
	text-decoration-thickness: 2px;
	text-decoration-color: #FFF;
}

.area-service-box a:hover span {
	text-decoration: underline;
	text-decoration-thickness: 2px;
	transition: all .2s;
}

/*
Buttons and Forms -------------------------------------------------
*/

.wp-block-button.button-right a, .wp-block-button.button-right a:focus {
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640"><!--!Font Awesome Free v7.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path fill="rgb(255, 255, 255)" d="M439.1 297.4C451.6 309.9 451.6 330.2 439.1 342.7L279.1 502.7C266.6 515.2 246.3 515.2 233.8 502.7C221.3 490.2 221.3 469.9 233.8 457.4L371.2 320L233.9 182.6C221.4 170.1 221.4 149.8 233.9 137.3C246.4 124.8 266.7 124.8 279.2 137.3L439.2 297.3z"/></svg>');
	background-repeat: no-repeat;
  background-position-x: 90%;
  padding-right: 4rem;
  background-size: 24px;
  background-position-y: 50%;
}

.wp-block-button.button-down a, .wp-block-button.button-down a:focus {
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640"><!--!Font Awesome Free v7.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path fill="rgb(255, 255, 255)" d="M297.4 438.6C309.9 451.1 330.2 451.1 342.7 438.6L502.7 278.6C515.2 266.1 515.2 245.8 502.7 233.3C490.2 220.8 469.9 220.8 457.4 233.3L320 370.7L182.6 233.4C170.1 220.9 149.8 220.9 137.3 233.4C124.8 245.9 124.8 266.2 137.3 278.7L297.3 438.7z"/></svg>');
	background-repeat: no-repeat;
  background-position-x: 90%;
  padding-right: 4rem;
  background-size: 24px;
  background-position-y: 50%;
}

.button-white-transparent .wp-block-button__link, .button-white-transparent .wp-block-button__link:focus {
	background: transparent;
	color: #FFF;
	border: 1px solid #FFF;
}

.button-white-transparent .wp-block-button__link:hover {
	background: #FFF;
	color: #222;
	border: 1px solid #FFF;
}

.wp-block-button.button-right.button-white-transparent .wp-block-button__link:hover {
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640"><!--!Font Awesome Free v7.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path fill="%23222222" d="M439.1 297.4C451.6 309.9 451.6 330.2 439.1 342.7L279.1 502.7C266.6 515.2 246.3 515.2 233.8 502.7C221.3 490.2 221.3 469.9 233.8 457.4L371.2 320L233.9 182.6C221.4 170.1 221.4 149.8 233.9 137.3C246.4 124.8 266.7 124.8 279.2 137.3L439.2 297.3z"/></svg>');
	background-repeat: no-repeat;
  background-position-x: 95%;
  padding-right: 4rem;
  background-size: 32px;
  background-position-y: 50%;
}

.wp-block-button.button-down.button-white-transparent .wp-block-button__link:hover {
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640"><!--!Font Awesome Free v7.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path fill="%23222222" d="M297.4 438.6C309.9 451.1 330.2 451.1 342.7 438.6L502.7 278.6C515.2 266.1 515.2 245.8 502.7 233.3C490.2 220.8 469.9 220.8 457.4 233.3L320 370.7L182.6 233.4C170.1 220.9 149.8 220.9 137.3 233.4C124.8 245.9 124.8 266.2 137.3 278.7L297.3 438.7z"/></svg>');
	background-repeat: no-repeat;
  background-position-x: 95%;
  padding-right: 4rem;
  background-size: 32px;
  background-position-y: 50%;
}

label, legend {
  color: #FFF;
  font-size: 16px;
}

.wpcf7-form .wpcf7-form-control-wrap input, .wpcf7-form .wpcf7-form-control-wrap textarea {
	background: transparent;
	border-radius: 16px;
}

.wpcf7-form .wpcf7-form-control-wrap input:focus, .wpcf7-form .wpcf7-form-control-wrap textarea:focus {
	background: transparent;
	border-radius: 16px;
	border: 1px solid #FFF;
}

input.wpcf7-submit {
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640"><!--!Font Awesome Free v7.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path fill="rgb(255, 255, 255)" d="M439.1 297.4C451.6 309.9 451.6 330.2 439.1 342.7L279.1 502.7C266.6 515.2 246.3 515.2 233.8 502.7C221.3 490.2 221.3 469.9 233.8 457.4L371.2 320L233.9 182.6C221.4 170.1 221.4 149.8 233.9 137.3C246.4 124.8 266.7 124.8 279.2 137.3L439.2 297.3z"/></svg>');
  background-repeat: no-repeat;
  background-position-x: 90%;
  padding-right: 4rem;
  background-size: 24px;
  background-position-y: 50%;
}

.button-margin-top {
	margin-top: 3rem !important;
}

.area-enquire input, .area-enquire textarea {
	color: #FFF;
}

.area-enquire input.wpcf7-submit {
	border: 1px solid #FFF;
	transition: all .2s linear;
}

.area-enquire input.wpcf7-submit:hover {
	background: #FFF;
	color: #0056a2;
	background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 640 640"><!--!Font Awesome Free v7.2.0 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2026 Fonticons, Inc.--><path fill="rgb(0, 86, 162)" d="M439.1 297.4C451.6 309.9 451.6 330.2 439.1 342.7L279.1 502.7C266.6 515.2 246.3 515.2 233.8 502.7C221.3 490.2 221.3 469.9 233.8 457.4L371.2 320L233.9 182.6C221.4 170.1 221.4 149.8 233.9 137.3C246.4 124.8 266.7 124.8 279.2 137.3L439.2 297.3z"/></svg>');
	background-repeat: no-repeat;
  background-position-x: 94%;
  padding-right: 4rem;
  background-size: 24px;
  background-position-y: 50%;
}

.area-enquire .wpcf7 input.wpcf7-form-control:not([type="submit"]):focus, .area-enquire .wpcf7 select.wpcf7-form-control:focus, .wpcf7 textarea.wpcf7-form-control:focus {
  border-color: #F58D32;
  color: #FFF;
}